import { SpreadsheetActiveTableChangedEventArgs as SpreadsheetActiveTableChangedEventArgs_internal } from "./SpreadsheetActiveTableChangedEventArgs";
import { WorksheetTable } from "igniteui-webcomponents-excel";
/**
 * Event arguments for the
 * activeTableChanged event.
*/
export declare class IgcSpreadsheetActiveTableChangedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: SpreadsheetActiveTableChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Returns the new value of the
     * activeTable
    */
    readonly newValue: WorksheetTable;
    /**
     * Returns the previous value of the
     * activeTable
    */
    readonly oldValue: WorksheetTable;
}
