import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
/**
 * Event arguments for the
 * actionExecuting event.
*/
export class IgcSpreadsheetActionExecutingEventArgs extends IgcCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the command which will be executed on the
     * Spreadsheet.
    */
    get command() {
        return this.i.command;
    }
    /**
     * Returns the parameter which will be used when executing the command.
    */
    get commandParameter() {
        return this.i.commandParameter;
    }
}
