import { Base, Type } from "igniteui-webcomponents-core";
import { IElementLayerView } from "./IElementLayerView";
import { ElementLayer } from "./ElementLayer";
/**
 * @hidden
 */
export declare abstract class ElementLayerView extends Base implements IElementLayerView {
    static $t: Type;
    constructor();
    abstract attach(a: ElementLayer): void;
    abstract detach(a: ElementLayer): void;
    abstract invalidateMeasure(): void;
    abstract invalidateArrange(): void;
}
