import { EventArgs, Type } from "igniteui-webcomponents-core";
import { SpreadsheetEditModeValidationErrorAction } from "./SpreadsheetEditModeValidationErrorAction";
import { SpreadsheetCell } from "./SpreadsheetCell";
import { DataValidationRule } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class SpreadsheetEditModeValidationErrorEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: SpreadsheetCell, b: DataValidationRule, c: boolean);
    private _action;
    action: SpreadsheetEditModeValidationErrorAction;
    private _canStayInEditMode;
    canStayInEditMode: boolean;
    private _cell;
    cell: SpreadsheetCell;
    private _validationRule;
    validationRule: DataValidationRule;
}
